Package net.shibboleth.idp.profile

# Class ScriptedAction.ActionScriptEvaluator

java.lang.Object
net.shibboleth.shared.scripting.AbstractScriptEvaluator
net.shibboleth.idp.profile.ScriptedAction.ActionScriptEvaluator

Enclosing class:
  ScriptedAction

private class ScriptedAction.ActionScriptEvaluator extends AbstractScriptEvaluator
Evaluator bound to the Action semantic.

## Field Summary

### Fields inherited from class net.shibboleth.shared.scripting.AbstractScriptEvaluator

`DEFAULT_ENGINE`

## Constructor Summary

Constructors
Constructor
Description
`ActionScriptEvaluator(EvaluableScript theScript)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`String`
`execute(ProfileRequestContext profileContext)`
Execution hook for the script.
`Object`
`getCustomObject()`
`protected void`
`prepareContext(ScriptContext scriptContext, Object... input)`

### Methods inherited from class net.shibboleth.shared.scripting.AbstractScriptEvaluator

`evaluate, finalizeContext, getHideExceptions, getLogPrefix, getOutputType, getReturnOnError, setContextExtenders, setCustomObject, setHideExceptions, setLogPrefix, setOutputType, setReturnOnError`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ActionScriptEvaluator

public ActionScriptEvaluator(@Nonnull EvaluableScript theScript)
Constructor.

Parameters:
  `theScript` - the script we will evaluate.

## Method Details

### getCustomObject

@Nullable public Object getCustomObject()

Overrides:
  `getCustomObject` in class `AbstractScriptEvaluator`

### execute

@Nullable public String execute(@Nullable ProfileRequestContext profileContext)
Execution hook for the script.

Parameters:
  `profileContext` - profile request context
Returns:
  the resulting event

### prepareContext

protected void prepareContext(@Nonnull ScriptContext scriptContext, @Nullable Object... input)

Specified by:
  `prepareContext` in class `AbstractScriptEvaluator`